From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/maradns/
Date: Sat, 29 Sep 2018 08:45:54 +0000 (UTC) [thread overview]
Message-ID: <1538210748.dbccae1c8a4ec514c7eb7f22b4bf1dd25489a1fc.mgorny@gentoo> (raw)
commit: dbccae1c8a4ec514c7eb7f22b4bf1dd25489a1fc
Author: ktrace <ktrace <AT> yandex <DOT> ru>
AuthorDate: Thu Sep 27 19:31:57 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 29 08:45:48 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbccae1c
net-dns/maradns: up EAPI=7, bump to 2.0.16
This commit update MaraDNS to 2.0.16, Deadwood recursor to 3.2.12 with
fix theoretical issue with the cryptographic code in Deadwood:
https://github.com/samboy/MaraDNS/blob/master/deadwood-github/doc/CHANGELOG
Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9991
net-dns/maradns/Manifest | 1 +
net-dns/maradns/maradns-2.0.16.ebuild | 111 ++++++++++++++++++++++++++++++++++
2 files changed, 112 insertions(+)
diff --git a/net-dns/maradns/Manifest b/net-dns/maradns/Manifest
index 8eac5145da6..b99875ce971 100644
--- a/net-dns/maradns/Manifest
+++ b/net-dns/maradns/Manifest
@@ -1,2 +1,3 @@
DIST maradns-2.0.09.tar.bz2 1139409 BLAKE2B 8c3709241b85f9069eb4e18098f7753b19bcc87d32bbb36aef42cb8ec123dc73b8e29e79b5efe1083035b2378a484e2c00038700647d5e75f469589b37b351e2 SHA512 42bfcafaf4e465d8d566b4d9ea8383b5d0f553486b86dd807b35a07358987227e5dc8187de0e8192fba5b53098d61f91091cec112ef7cc80c5d5e73d8acff3bf
DIST maradns-2.0.14.tar.bz2 1156272 BLAKE2B 7e96d0769dd1df70316cc1bd79fb7e902c723f78db035fe721aaab0d6902958a40c2743374824ae024759164ad9cbda9a3c6ecaec7cc6bf3c5fa7b384101c16f SHA512 57527bba2f9801904f59cc7d9e56cbd7124635841ad8c91cbd3d1b8d58e7fe38d509e19f6ea53e2790777e054b68bb8df02bfa820ba7c9dbe65262e1993a2aa4
+DIST maradns-2.0.16.tar.bz2 1127504 BLAKE2B 142166370efed2d52c0a1e659bf0056f8d13cc5eca3c1d30c0278b81047aa58ce6c6f3f8496e982841b9dcd541ffd2c24467b8062aa5a7ffb1f31ef6cf841a15 SHA512 9959a7b6724aff5561fa9303b3d7c967e298fd63d95ef7e34d80514dde8871c19887c184a6466779f2833c295233dd1d54a7c06928ac58dcbb374281deb13f17
diff --git a/net-dns/maradns/maradns-2.0.16.ebuild b/net-dns/maradns/maradns-2.0.16.ebuild
new file mode 100644
index 00000000000..38a74bf9a91
--- /dev/null
+++ b/net-dns/maradns/maradns-2.0.16.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit python-single-r1 systemd toolchain-funcs user
+
+DEADWOOD_VER="3.2.12"
+
+DESCRIPTION="A security-aware DNS server"
+HOMEPAGE="http://www.maradns.org/"
+SRC_URI="http://www.maradns.org/download/${PV%.*}/${PV}/${P}.tar.bz2"
+
+# The GPL-2 covers the init script, bug 426018.
+LICENSE="BSD-2 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~x86"
+IUSE="authonly examples ipv6"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="${DEPEND}
+ dev-lang/perl"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # Use duende-ng.c.
+ cp tools/duende{,-ng}.c \
+ || die "failed to rename duende-ng.c"
+ # replace "make" by "$(MAKE)" to avoid GNU Make warning
+ sed -i 's/\ make\ /\ \$\(MAKE\)\ /g' build/Makefile.linux \
+ || die "can't patch build/Makefile.linux"
+
+ python_fix_shebang tools/bind2csv2.py
+}
+
+src_configure() {
+ tc-export CC
+ ./configure $(use ipv6 && echo "--ipv6") || die "Failed to configure ${PN}"
+}
+
+src_install() {
+ # Install the MaraDNS and Deadwood binaries
+ dosbin server/maradns
+ dosbin tcp/zoneserver
+ if ! use authonly; then
+ dosbin deadwood-${DEADWOOD_VER}/src/Deadwood
+ fi
+ dobin tcp/{getzone,fetchzone}
+ dobin tools/{askmara,askmara-tcp,duende,bind2csv2.py,csv1tocsv2.pl}
+
+ # MaraDNS docs, manpages, misc
+ dodoc doc/en/{QuickStart,README,*.txt,*.html}
+ dodoc -r doc/en/{text,webpage,tutorial}
+ dodoc maradns.gpg.key
+ if ! use authonly; then
+ docinto deadwood
+ dodoc deadwood-${DEADWOOD_VER}/doc/{*.txt,*.html,CHANGELOG,Deadwood-HOWTO}
+ dodoc -r deadwood-${DEADWOOD_VER}/doc/internals
+ fi
+
+ # Install examples (optional)
+ if use examples ; then
+ docinto examples
+ dodoc doc/en/examples/example_*
+ fi
+
+ # Install manpages
+ doman doc/en/man/*.[1-9]
+ if ! use authonly; then
+ doman deadwood-${DEADWOOD_VER}/doc/{Deadwood,Duende}.1
+ fi
+
+ # Example configurations.
+ insinto /etc/maradns
+ newins doc/en/examples/example_full_mararc mararc_full.dist
+ newins doc/en/examples/example_csv2 example_csv2.dist
+ if ! use authonly; then
+ newins deadwood-${DEADWOOD_VER}/doc/dwood3rc-all dwood3rc_all.dist
+ fi
+ keepdir /etc/maradns/logger
+
+ # Init scripts.
+ newinitd "${FILESDIR}"/maradns2 maradns
+ newinitd "${FILESDIR}"/zoneserver2 zoneserver
+ if ! use authonly; then
+ newinitd "${FILESDIR}"/deadwood deadwood
+ fi
+
+ # systemd unit
+ # please keep paths in sync!
+ sed -e "s^@bindir@^${EPREFIX}/usr/sbin^" \
+ -e "s^@sysconfdir@^${EPREFIX}/etc/maradns^" \
+ "${FILESDIR}"/maradns.service.in > "${T}"/maradns.service \
+ || die "failed to create the maradns.service file (sed)"
+
+ systemd_dounit "${T}"/maradns.service
+}
+
+pkg_preinst() {
+ enewgroup maradns 99
+ enewuser duende 66 -1 -1 maradns
+ enewuser maradns 99 -1 -1 maradns
+}
next reply other threads:[~2018-09-29 8:45 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-09-29 8:45 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-29 5:47 [gentoo-commits] repo/gentoo:master commit in: net-dns/maradns/ Joonas Niilola
2024-05-28 18:19 Arthur Zamarin
2024-03-03 7:04 Sam James
2024-03-03 5:52 Sam James
2024-03-03 5:52 Sam James
2024-02-09 13:47 Joonas Niilola
2023-05-05 17:41 Arthur Zamarin
2023-05-05 17:41 Arthur Zamarin
2022-12-18 18:50 Arthur Zamarin
2022-12-18 12:16 Sam James
2022-07-02 20:54 Piotr Karbowski
2022-06-07 5:22 Sam James
2022-06-07 5:21 Sam James
2022-04-10 21:11 Jonas Stein
2021-05-04 22:17 Sam James
2020-09-19 11:28 Michał Górny
2020-08-18 11:22 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-07-01 19:47 Piotr Karbowski
2020-07-01 19:47 Piotr Karbowski
2020-06-29 21:01 Piotr Karbowski
2019-12-13 22:32 Piotr Karbowski
2019-10-23 13:39 Agostino Sarubbo
2017-12-02 17:58 David Seifert
2017-12-02 17:58 David Seifert
2017-04-30 11:53 Michael Palimaka
2017-04-29 15:02 Agostino Sarubbo
2017-04-28 12:52 Agostino Sarubbo
2017-04-28 12:31 Agostino Sarubbo
2016-08-03 21:37 Michael Orlitzky
2016-04-28 23:44 Austin English
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1538210748.dbccae1c8a4ec514c7eb7f22b4bf1dd25489a1fc.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox